package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class MenuMaterialCategoryEditDTO implements Serializable {
   @ApiModelProperty("类别id")
   private @NotNull(
   message = "{menu_category_id_null}"
) Long categoryId;
   @ApiModelProperty("类别名称")
   private String categoryName;
   @ApiModelProperty("父类id")
   private Long parentId;
   @ApiModelProperty("新父类id")
   private Long newParentId;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Long getNewParentId() {
      return this.newParentId;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setNewParentId(final Long newParentId) {
      this.newParentId = newParentId;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
